Skip to main content

Acknowledge Backfill Request

POST 

/session/v1/backfill/session/:session_id

Acknowledge a backfill request, and keep it alive. If an acknowledgment is missed, open-match will delete the backfill object

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Query Parameters

    refresh_ttl Refresh Ttl

    Default value: true

Body

required

    instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    The instance ID for this backfill request

    extensions

    object

    Additional extensions to add to the Assignment for the backfill resource associated with the session

    property name* string
    overflow_action TeamOverflowAction (string)

    Possible values: [fail, allow_overflow, partial_with_overflow, partial_without_overflow, overfill]

    How too many players being invited to a single team should be handled

    styles BackfillStyle (string)[]

    Possible values: [team_request, composition]

    The styles of backfill to acknowledge. Can provide multiple for backwards compatibility.

Responses

Successful Response

Schema

    backfilled_players

    object[]

    List of players that were backfilled. If empty, no players were backfilled

  • Array [

  • player_id Player Id (integer)

    Legacy id for this player

    player_uuid uuidrequired

    UUID for this player

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    inviting_player_uuid uuid

    UUID of the player who sent this players invite, if any

    source_session_id Source Session Id (string)

    Possible values: non-empty and <= 128 characters

    The UUID of the session that this player was invited from

    custom_data

    object

    player-defined custom data

    property name* string
    version semver

    Product Client Version number. Used for compatibility checking with other players and instances

    client_settings

    object

    A player's platform and input settings

    platform_id PlatformID (integer)

    Possible values: [2, 4, 5, 9, 10, 11, 13, 16, 22, 24, 26, 28]

    DEPRECATED. Use 'platform' instead. Id for which platform this client is on. ID will be ignored if 'platform' is given. At least one of the two is required

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Which platform this client is on. If one is not provided, will get the platform from the 'platform_id'. Platform is now read from client's authorization claims if available

    input Input (string)required

    Possible values: [keyboardandmouse, gamepad, touch]

    Which input type this client is using

    device_type DeviceType (string)

    Possible values: [pc, xbox_series, xbox_one, web]

    Platform verified device type for this client

    crossplay_preferences

    object

    A session's or player's preferences around crossplay platforms and inputs. Permitted platforms and inputs will be checked when new players attempt to join a session

    permitted_platform CrossplayPlatform (string)required

    Possible values: [desired_platforms_any, desired_platforms_xboxlike, desired_platforms_playstationlike]

    The platform type that the client is allowed to play with (any, xbox-like only, playstation-like only etc.)

    permitted_input CrossplayInput (string)required

    Possible values: [desired_inputs_any, desired_inputs_keyboardandmouse, desired_inputs_gamepad, desired_inputs_touch]

    The input type that the client is allowed to play with (keyboard and mouse, gamepad, touch input etc.)

    invited date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    joined date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    session_permissions IntraSessionPermissions (string)[]

    Possible values: [invite, kick, move]

    Default value: ``

    A list of intra session permissions granted to this specific player

  • ]

Loading...